DEFINITION MODULE VarCallArgs;

FROM SYSTEM IMPORT ADDRESS;

(* This module allows you to create C-style argument lists *)


(*********************************************************************)
(* Various routines used for variable-length argument lists          *)


PROCEDURE ArgIs(Arg : LONGCARD) : ADDRESS;
(* Pass argument to a C-style routine *)


PROCEDURE ArgIs2(Arg1, Arg2 : LONGCARD) : ADDRESS;
(* Pass 2 arguments *)


PROCEDURE ArgIs3(Arg1, Arg2, Arg3 : LONGCARD) : ADDRESS;
(* Pass 3 arguments *)


PROCEDURE ArgIs4(Arg1, Arg2, Arg3, Arg4 : LONGCARD) : ADDRESS;
(* Pass 4 arguments *)


END VarCallArgs.